<?php
// $Id: theme-settings.php,v 1.4 2008/06/29 18:54:14 shannonlucas Exp $
/**
 * @file Provides the settings for the Notibe theme.
 */

require_once drupal_get_path('theme', 'nitobe') . '/nitobe_utils.php';

/**
 * Implementation of THEMEHOOK_settings().
 *
 * @param array $settings An array of saved settings for this
 *        theme.
 *
 * @return array A form array.
 */
function nitobe_settings($settings) {
  $images  = _nitobe_get_header_list(TRUE);
  $options = array('<random>' => 'Random Header Image');

  foreach ($images as $filename => $data) {
    $options[$filename] = $data->pretty_name;
  }

  $form = array();

  $current = empty($settings['header_image']) ? '' : $settings['header_image'];
  $default = in_array($current, array_keys($options)) ? $current : '<random>';
  $form['nitobe']['header_image'] = array(
    '#type'          => 'select',
    '#title'         => t('Header Image'),
    '#options'       => $options,
    '#default_value' => $default,
  );

  $default = empty($settings['show_node_author']) ? FALSE : $settings['show_node_author'];
  $form['nitobe']['show_node_author'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Show Node Author'),
    '#default_value' => $default,
    '#description'   => t('If checked, the name of the node author will be displayed in the teaser and page views for nodes.'),
  );

  return $form;
}
